/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */


#include <iostream.h>
#include "yoo_root.hxx"

int shell() ;

void option_error(char* name) 
{
  printf("usage: %s [-v] [-b <basename>]\n", name);
  exit(1) ;
}

void main(int argc, char** argv) {

  char* base = NULL ;
  int vers = 0 ;
  
  for (int i = 1; i < argc; i++) {
    if (strcmp(argv[i], "-b") == 0) {
      base = argv[i+1] ;
      i++ ;
    } else if (strcmp(argv[i], "-v") == 0) {
      vers = 1 ;
    } else option_error(argv[0]) ;
  } 

  if (base == NULL) {
    base = getenv("YOODA_BASE") ;
    cerr << "No database set" << endl ;
    if (base == NULL) option_error(argv[0]) ;
  }  
  
  if (vers) {
    printf("YOODA version 1.2 <%s>, Copyright (C) 1994 Eric Abecassis
YOODA comes with ABSOLUTELY NO WARRANTY; for details type `COPYING'
in YOODA_HOME directory. This is free software, and you are welcome to 
redistribute it under certain conditions; for details read `COPYING'
or 'COPYING.LIB' in YOODA_HOME directory\n", argv[0]) ;
  }

  yoo_connect(base, MONOUSER) ;

  shell() ;

  yoo_disconnect() ;
}
